Page MenuHome

Crash when disconnecting joystick while game engine is running
Closed, ArchivedPublic

Description

System Information
Windows 7, 32-Bit

Blender Version
Broken: 2.78 32-Bit Hash: 4bb1e22
Worked: (optional)

Short description of error
Blender crashes in Game Engine with Error: EXCEPTION_ACCESS_VIOLATION when I unplug a USB joystick
While we are at it: Blender also does not recognize new joysticks when starting the Game Engine, you have to close Blender and start it again to make it work.

Exact steps for others to reproduce the error
Plugin a USB Joystick
Open http://www2.futureware.at/~philipp/KanuPolo/Copter12.blend in Blender
Start Game Engine with "P"
Unplug USB Joystick

Details

Type
Bug

Event Timeline

Please edit the bug's title to briefly describe what happens. For example:

"Crash when disconnecting joystick while game engine is running"

Writing just "Joystick" says nothing to developers.

Aaron Carlisle (Blendify) renamed this task from Joystick to Crash when disconnecting joystick while game engine is running.Oct 14 2016, 4:21 PM

Sorry and thanks for correcting the bugreport

Sergey Sharybin (sergey) lowered the priority of this task from Needs Triage by Developer to Normal.Oct 21 2016, 10:12 AM
Bastien Montagne (mont29) closed this task as Archived.Mar 19 2019, 9:10 PM
Bastien Montagne (mont29) claimed this task.

Thanks for the report, but BGE has been removed from Blender 2.8, so this will never be fixed on our end now… time to archive.

this is already fixed in upbge - we are using sdl2

here is upbge - https://github.com/UPBGE/blender

we are trying to maintain upbge.

here is bge working in blender 2.8 / eevee by youle

https://github.com/UPBGE/blender/tree/eevee_merge8

/shrug I guess the people whom offered to help maintain bge are still maintaining it on a fork now 😸